my_adalia_id/common/decorators/urls.py
from django.conf.urls import include


def decorate_url_patterns(decorator):
    def func(urls):
        url_list, app_name, namespace = include(urls)

        def process_patterns(url_patterns):
            for pattern in url_patterns:
                if hasattr(pattern, "url_patterns"):
                    # this is an include - apply to all nested patterns
                    process_patterns(pattern.url_patterns)
                else:
                    # this is a pattern
                    pattern.callback = decorator(pattern.callback)

        process_patterns(url_list)
        return url_list, app_name, namespace

    return func

server/urls.py
from django.urls import include, path

from metauser import urls

urlpatterns = [
    path("", include(urls)),
]

handler400 = "metauser.views.bad_request"
handler403 = "metauser.views.permission_denied"
handler404 = "metauser.views.page_not_found"
handler500 = "metauser.views.server_error"

my_adalia_id/common/models.py
from django.db import models


class BaseModel(models.Model):
    class Meta:
        abstract = True


class CleanOnSave(BaseModel):
    class Meta:
        abstract = True

    def save(self, *args, **kwargs) -> None:
        self.full_clean()
        super().save(*args, **kwargs)

my_adalia_id/models.py
from decimal import Decimal

from django.core.validators import MaxValueValidator, MinValueValidator
from django.db import models
from django.utils.translation import gettext_lazy as _

from metauser.nfts.models import NFTAsset

from .constants import (
    ASTEROID_ORBITAL_ECCENTRICITY_MAXIMUM,
    ASTEROID_ORBITAL_ECCENTRICITY_MINIMUM,
    ASTEROID_ORBITAL_INCLINATION_MAXIMUM,
    ASTEROID_ORBITAL_INCLINATION_MINIMUM,
    ASTEROID_ORBITAL_SEMI_MAJOR_AXIS_MAXIMUM,
    ASTEROID_ORBITAL_SEMI_MAJOR_AXIS_MINIMUM,
    ASTEROID_SIZE_MAXIMUM,
    ASTEROID_SIZE_MINIMUM,
    ASTEROID_SPECTRAL_TYPES,
)
from .utils import calculate_orbital_period, calculate_surface_area


class Asteroid(NFTAsset):
    diameter = models.IntegerField(
        validators=[
            MaxValueValidator(ASTEROID_SIZE_MAXIMUM),
            MinValueValidator(ASTEROID_SIZE_MINIMUM),
        ],
        verbose_name=_("diameter"),
        null=True,
        blank=True,
    )
    surface_area = models.IntegerField(
        verbose_name=_("surface area"),
        null=True,
        blank=True,
    )

    spectral_type = models.IntegerField(
        choices=list(ASTEROID_SPECTRAL_TYPES.items()),
        verbose_name=_("spectral type"),
        null=True,
        blank=True,
    )

    semi_major_axis = models.DecimalField(
        validators=[
            MaxValueValidator(ASTEROID_ORBITAL_SEMI_MAJOR_AXIS_MAXIMUM),
            MinValueValidator(ASTEROID_ORBITAL_SEMI_MAJOR_AXIS_MINIMUM),
        ],
        verbose_name=_("semi-major axis"),
        null=True,
        blank=True,
        decimal_places=3,
        max_digits=4,
    )

    eccentricity = models.DecimalField(
        validators=[
            MaxValueValidator(ASTEROID_ORBITAL_ECCENTRICITY_MAXIMUM),
            MinValueValidator(ASTEROID_ORBITAL_ECCENTRICITY_MINIMUM),
        ],
        decimal_places=3,
        max_digits=6,
        verbose_name=_("eccentricity"),
        null=True,
        blank=True,
    )

    inclination = models.DecimalField(
        validators=[
            MaxValueValidator(ASTEROID_ORBITAL_INCLINATION_MAXIMUM),
            MinValueValidator(ASTEROID_ORBITAL_INCLINATION_MINIMUM),
        ],
        decimal_places=2,
        max_digits=4,
        verbose_name=_("inclination"),
        null=True,
        blank=True,
    )

    ascending_node = models.DecimalField(
        validators=[
            # MaxValueValidator(ASTEROID_ORBITAL_INCLINATION_MAXIMUM),
            # MinValueValidator(ASTEROID_ORBITAL_INCLINATION_MINIMUM),
        ],
        decimal_places=3,
        max_digits=6,
        verbose_name=_("ascending node"),
        null=True,
        blank=True,
    )

    anomaly = models.DecimalField(
        validators=[
            # MaxValueValidator(ASTEROID_ORBITAL_INCLINATION_MAXIMUM),
            # MinValueValidator(ASTEROID_ORBITAL_INCLINATION_MINIMUM),
        ],
        decimal_places=3,
        max_digits=6,
        verbose_name=_("mean anomaly at epoch"),
        null=True,
        blank=True,
    )

    periapsis = models.DecimalField(
        validators=[
            # MaxValueValidator(ASTEROID_ORBITAL_INCLINATION_MAXIMUM),
            # MinValueValidator(ASTEROID_ORBITAL_INCLINATION_MINIMUM),
        ],
        decimal_places=3,
        max_digits=6,
        verbose_name=_("argument of periapsis"),
        null=True,
        blank=True,
    )
    orbital_period = models.DecimalField(
        validators=[
            # MaxValueValidator(ASTEROID_ORBITAL_INCLINATION_MAXIMUM),
            MinValueValidator(0),
        ],
        decimal_places=3,
        max_digits=7,
        verbose_name=_("period"),
        null=True,
        blank=True,
    )
    purchase_order = models.IntegerField(verbose_name=_("purchase order"), default=-1)

    def _update_orbital_period(self):
        if self.semi_major_axis is not None:
            self.orbital_period = calculate_orbital_period(
                Decimal(self.semi_major_axis)
            )

    def _update_surface_area(self):
        if self.diameter is not None:
            self.surface_area = int(
                calculate_surface_area(Decimal(self.diameter) / 1000)
            )

    def save(self, *args, **kwargs):
        self._update_orbital_period()
        self._update_surface_area()
        return super().save(*args, **kwargs)


class Crewmate(NFTAsset):
    crew_collection = models.IntegerField(verbose_name=_("crew collection"), default=-1)
    gender = models.CharField(
        verbose_name=_("gender identity"),
        max_length=1,
        choices=[("M", _("Male")), ("F", _("Female")), ("-", _("Unknown"))],
        default=" ",
        help_text=_(
            "Though the Influence API refers to this as `sex`, we use more inclusive language."
        ),
    )
    body = models.IntegerField(verbose_name=_("body"), default=-1)
    crew_class = models.IntegerField(
        verbose_name=_("crew class"),
        default=-1,
        choices=[
            (-1, "(Unknown)"),
            (1, "Pilot"),
            (2, "Engineer"),
            (3, "Miner"),
            (4, "Merchant"),
            (5, "Scientist"),
        ],
    )
    title = models.IntegerField(
        verbose_name=_("title"),
        default=-1,
        choices=[
            (-1, "(Unknown)"),
            (
                1,
                "Communications Officer",
            ),
            (
                2,
                "Teaching Assistant",
            ),
            (
                3,
                "Librarian",
            ),
            (
                4,
                "Nurse",
            ),
            (
                5,
                "Public Safety Officer",
            ),
            (6, "Warehouse Worker"),
            (7, "Maintenance Technician"),
            (8, "Systems Administrator"),
            (9, "Structural Engineer"),
            (10, "Farmer"),
            (11, "Line Cook"),
            (12, "Artist"),
            (13, "Block Captain"),
            (14, "Observatory Technician"),
            (15, "Teacher"),
            (16, "Historian"),
            (17, "Physician Assistant"),
            (18, "Security Officer"),
            (19, "Logistics Specialist"),
            (20, "Electrician"),
            (21, "Software Engineer"),
            (22, "Life Support Engineer"),
            (23, "Field Botanist"),
            (24, "Section Cook"),
            (25, "Author"),
            (26, "Delegate"),
            (27, "Cartographer"),
            (28, "Professor"),
            (29, "Archivist"),
            (30, "Resident Physician"),
            (31, "Tactical Officer"),
            (32, "Warehouse Manager"),
            (33, "EVA Technician"),
            (34, "Embedded Engineer"),
            (35, "Propulsion Engineer"),
            (36, "Nutritionist"),
            (37, "Kitchen Manager"),
            (38, "Musician"),
            (39, "Councilor"),
            (40, "Navigator"),
            (41, "Distinguished Professor"),
            (42, "Curator"),
            (43, "Physician"),
            (44, "Intelligence Officer"),
            (45, "Logistics Manager"),
            (46, "Facilities Supervisor"),
            (47, "Systems Architect"),
            (48, "Reactor Engineer"),
            (49, "Plant Geneticist"),
            (50, "Chef"),
            (51, "Actor"),
            (52, "Justice"),
            (53, "Chief Navigator"),
            (54, "Provost"),
            (55, "Chief Archivist"),
            (56, "Chief Medical Officer"),
            (57, "Head of Security"),
            (58, "Chief Logistics Officer"),
            (59, "Chief Steward"),
            (60, "Chief Technology Officer"),
            (61, "Head of Engineering"),
            (62, "Chief Botanist"),
            (63, "Chief Cook"),
            (64, "Entertainment Director"),
            (65, "High Commander"),
        ],
    )
    outfit = models.IntegerField(verbose_name=_("outfit"), default=-1)
    hair = models.IntegerField(verbose_name=_("hair"), default=-1)
    facial_feature = models.IntegerField(verbose_name=_("facial feature"), default=-1)
    hair_color = models.IntegerField(verbose_name=_("hair color"), default=-1)
    head_piece = models.IntegerField(verbose_name=_("head piece"), default=-1)
    bonus_item = models.IntegerField(verbose_name=_("bonus item"), default=-1)

my_adalia_id/forms.py
from django import forms
from django.forms.fields import EmailField
from django.utils.translation import gettext_lazy as _

from crispy_forms.helper import FormHelper
from crispy_forms.layout import ButtonHolder, Div, Layout, Submit


class InterestForm(forms.Form):

    email = EmailField()

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.helper = FormHelper()
        self.helper.form_id = "beta-invite"
        self.helper.form_method = "post"
        self.helper.form_action = "thankyou"
        self.helper.layout = Layout(
            "email",
            Div(
                ButtonHolder(
                    Submit("submit", _("Let me know!"), css_class="btn btn-primary")
                ),
                css_class="float-right",
            ),
        )

my_adalia_id/common/decorators/views.py
from functools import wraps

from django.conf import settings
from django.core.exceptions import ObjectDoesNotExist
from django.http.response import Http404
from django.utils.translation import gettext_lazy as _
from django.views.decorators.cache import cache_page

DEBUG = getattr(settings, "DEBUG", False)

STATIC_RESOURCE_CACHE_TTL = getattr(settings, "STATIC_RESOURCE_CACHE_TTL", 3600)


def static_file_cache(view):
    if DEBUG:
        return view
    else:
        return cache_page(STATIC_RESOURCE_CACHE_TTL)(view)


def auto_not_found(func):
    @wraps(func)
    def auto_not_found_wrapper(*args, **kwargs):
        try:
            return func(*args, **kwargs)
        except ObjectDoesNotExist:
            raise Http404(_("Couldn't find requested object."))

    return auto_not_found_wrapper

my_adalia_id/templates/metauser/content/alliance_dashboard.html
{% extends 'bases/base.html' %}
{% load i18n breadcrumbs crispy_forms_tags %}

{% block page_title %}{% translate "Alliance Dashboard" %}{% endblock %}
{% block breadcrumbs %}
<li class="breadcrumb-item"><a href="{% url 'alliance_dashboard' %}" style="color:white">{% translate "Alliance Dashboard" %}</a></li>
{% endblock %}

{% block content %}

<div class="container-fluid p-0">
    <div class="row">

        <div class="col-12 col-lg-4">

            <div class="card">
                <div class="card-body">
                    <div class="card-img-center">
                        <img src="{{ user.avatar.get_image |default:'/static/my_adalia_id/images/avatars/default.png' }}" class="avatar img-fluid rounded-circle me-1" alt="{% translate 'Gravatar' %}" />
                    </div>
                    <hr />
                    <dl class="row">
                        <dt class="col-6">{% translate "Formal Name" %}:</dt>
                    <dd>
                        First Alliance
                    </dd>
                    <dt class="col-6">{% translate "Leader" %}:</dt>
                    <dd>
                        Thunder
                    </dd>
                    <dt class="col-6">{% translate "Officers" %}:</dt>
                        <dd>
                            <ul>
                                {% for wallet in wallets %}
                                    <li><tt>{{ wallet.address }}</tt></li>
                                {% endfor %}
                            </ul>
                        </dd>
                    </dl>
                    <hr />

                    <dl class = "row">
                        <dt class="col-6">{% translate "Headquarters" %}:</dt>
                        <dd>
                            /104
                        </dd>
                    </dl>
                    <img src="https://images.influenceth.io/v1/asteroids/104/image.svg" alt="{{ asset.get_spectral_type_display }}" width="404" height="539" margins="auto">
                </div>
                <!-- <div class="card-footer">&nbsp;</div> -->
            </div>

        </div>

        <div class="col-12 col-lg-8">

            <div class="card">
                <div class="card-header">
                    <div class="card-title">First Alliance's {% translate 'Asteroids' %}</div>
                </div>
                <div class="card-body">
                    <table id="main-table" class="table table-striped" style="width:100%" data-server-side="true" data-ajax="/api/adalia_id/asteroids/personal?format=datatables">
                        <thead>
                            <tr>
                                <th data-data="serial">{% translate "ID" %}</th>
                                <th data-data="name">{% translate "Name" %}</th>
                                <th data-data="spectral_type">{% translate "Spectral Type" %}</th>
                                <th data-data="diameter">{% translate "Diameter" %}</th>
                                <th data-data="semi_major_axis">{% translate "Semi-Major Axis" %}</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
                <div class="card-footer">&nbsp;</div>
            </div>
            <script>
                $(document).ready(function () {
                $('#main-table').DataTable({
                    "processing": true,
                    "serverSide": true,
                    "createdRow": function (row, data, index) {
                        row.onclick = function () {
                            window.location.href = Urls["nfts:asset-detail"]("INFA", data["serial"])
                        };
                    },
                    "columns": [
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null]
                    });
                });
            </script>

            <div class="card">
                <div class="card-header">
                    <div class="card-title">First Alliance's {% translate 'Crewmates' %}</div>
                </div>
                <div class="card-body">
                    <table id="main-table" class="table table-striped" style="width:100%" data-server-side="true"
                        data-ajax="/api/adalia_id/crewmates/{{ refinement }}?format=datatables">
                        <thead>
                            <tr>
                                <th data-data="serial">{% translate "ID" %}</th>
                                <th data-data="current_owner">{% translate "Owner" %}</th>
                                <th data-data="allegiance">{% translate "Allegiance" %}</th>
                                <th data-data="name">{% translate "Name" %}</th>
                                <th data-data="crew_class">{% translate "Class" %}</th>
                                <th data-data="title">{% translate "Job Title" %}</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
            <script>
                $(document).ready(function () {
                    $('#main-table').DataTable({
                        "createdRow": function (row, data, index) {
                            row.onclick = function () {
                                window.location.href = Urls["nfts:asset-detail"]("{{ collection_symbol }}", data["serial"])
                            };

                        },
                        "columns": [
                            null,
                            null,
                            {
                                "sortable": false,
                            },
                            null,
                            {
                                "defaultContent": "",
                            },
                            {
                                "defaultContent": "",
                            }
                        ]
                    });
                });
            </script>
        </div>

    </div>
</div>
{% endblock %}

my_adalia_id/templates/metauser/content/aup.html
{% extends 'metauser/content_frame.html' %}
{% load i18n %}
{% block page_title %}{% translate "Acceptable Use Policy" %}{% endblock %}
{% block breadcrumbs %}
<li class="breadcrumb-item">{% translate "Acceptable Use Policy" %}</li>
{% endblock %}
{% block static_content %}

<main class="content">
   <div class="container-fluid">
      <div class="row">
         <div class="col-12">
            {% blocktranslate %}
            <p>This acceptable use policy covers the products, services, and technologies (collectively referred to as
               the &ldquo;Products&rdquo;) provided by GameChaingers, LLC under any ongoing agreement. It’s designed to
               protect us, our customers, and the general Internet community from unethical, irresponsible, and illegal
               activity. </p>
            <p>GameChaingers, LLC customers found engaging in activities prohibited by this acceptable use policy can be
               liable for service suspension and account termination. In extreme cases, we may be legally obliged to
               report such customers to the relevant authorities. </p>
            <p>This policy was last reviewed on 31 December 2021. </p>
            <h4>Fair use</h4>
            <p>We provide our facilities with the assumption your use will be &ldquo;business as usual&rdquo;, as per
               our offer schedule. If your use is considered to be excessive, then additional fees may be charged, or
               capacity may be restricted. </p>
            <p>We are opposed to all forms of abuse, discrimination, rights infringement, and/or any action that harms
               or disadvantages any group, individual, or resource. We expect our customers and, where applicable, their
               users (&ldquo;end-users&rdquo;) to likewise engage our Products with similar intent. </p>
            <h4>Customer accountability</h4>
            <p>We regard our customers as being responsible for their own actions as well as for the actions of anyone
               using our Products with the customer’s permission. This responsibility also applies to anyone using our
               Products on an unauthorized basis as a result of the customer’s failure to put in place reasonable
               security measures. </p>
            <p>By accepting Products from us, our customers agree to ensure adherence to this policy on behalf of anyone
               using the Products as their end users. Complaints regarding the actions of customers or their end-users
               will be forwarded to the nominated contact for the account in question. </p>
            <p>If a customer — or their end-user or anyone using our Products as a result of the customer — violates our
               acceptable use policy, we reserve the right to terminate any Products associated with the offending
               account or the account itself or take any remedial or preventative action we deem appropriate, without
               notice. To the extent permitted by law, no credit will be available for interruptions of service
               resulting from any violation of our acceptable use policy. </p>
            <h4>Prohibited activity</h4>
            <h5>Copyright infringement and access to unauthorized material</h5>
            <p>Our Products must not be used to transmit, distribute or store any material in violation of any
               applicable law. This includes but isn’t limited to: </p>
            <ol type="i">
               <li>any material protected by copyright, trademark, trade secret, or other intellectual property right
                  used without proper authorization, and</li>
               <li>any material that is obscene, defamatory, constitutes an illegal threat or violates export control
                  laws.</li>
            </ol>
            <p>The customer is solely responsible for all material they input, upload, disseminate, transmit, create or
               publish through or on our Products, and for obtaining legal permission to use any works included in such
               material. </p>
            <h5>SPAM and unauthorized message activity</h5>
            <p>Our Products must not be used for the purpose of sending unsolicited bulk or commercial messages in
               violation of the laws and regulations applicable to your jurisdiction (“spam”). This includes but isn’t
               limited to sending spam, soliciting customers from spam sent from other service providers, and collecting
               replies to spam sent from other service providers. </p>
            <p>Our Products must not be used for the purpose of running unconfirmed mailing lists or telephone number
               lists (&ldquo;messaging lists&rdquo;). This includes but isn’t limited to subscribing email addresses or
               telephone numbers to any messaging list without the permission of the email address or telephone number
               owner, and storing any email addresses or telephone numbers subscribed in this way. All messaging lists
               run on or hosted by our Products must be &ldquo;confirmed opt-in&rdquo;. Verification of the address or
               telephone number owner’s express permission must be available for the lifespan of the messaging list.
            </p>
            <p>We prohibit the use of email lists, telephone number lists or databases purchased from third parties
               intended for spam or unconfirmed messaging list purposes on our Products. </p>
            <p>This spam and unauthorized message activity policy applies to messages sent using our Products, or to
               messages sent from any network by the customer or any person on the customer’s behalf, that directly or
               indirectly refer the recipient to a site hosted via our Products. </p>
            <h5>Unethical, exploitative, and malicious activity</h5>
            <p>Our Products must not be used for the purpose of advertising, transmitting, or otherwise making available
               any software, program, product, or service designed to violate this acceptable use policy, or the
               acceptable use policy of other service providers. This includes but isn’t limited to facilitating the
               means to send spam and the initiation of network sniffing, pinging, packet spoofing, flooding,
               mail-bombing, and denial-of-service attacks. </p>
            <p>Our Products must not be used to access any account or electronic resource where the group or individual
               attempting to gain access does not own or is not authorized to access the resource (e.g.
               &ldquo;hacking&rdquo;, &ldquo;cracking&rdquo;, &ldquo;phreaking&rdquo;, etc.). </p>
            <p>Our Products must not be used for the purpose of intentionally or recklessly introducing viruses or
               malicious code into our Products and systems. </p>
            <p>Our Products must not be used for purposely engaging in activities designed to harass another group or
               individual. Our definition of harassment includes but is not limited to denial-of-service attacks,
               hate-speech, advocacy of racial or ethnic intolerance, and any activity intended to threaten, abuse,
               infringe upon the rights of, or discriminate against any group or individual. </p>
            <p>Other activities considered unethical, exploitative, and malicious include: </p>
            <ol>
               <li>Obtaining (or attempting to obtain) services from us with the intent to avoid payment;</li>
               <li>Using our facilities to obtain (or attempt to obtain) services from another provider with the intent
                  to avoid payment;</li>
               <li>The unauthorized access, alteration, or destruction (or any attempt thereof) of any information about
                  our customers or end-users, by any means or device;</li>
               <li>Using our facilities to interfere with the use of our facilities and network by other customers or
                  authorized individuals;</li>
               <li>Publishing or transmitting any content of links that incite violence, depict a violent act, depict
                  child pornography, or threaten anyone’s health and safety;</li>
               <li>Any act or omission in violation of consumer protection laws and regulations;</li>
               <li>Any violation of a person’s privacy.</li>
            </ol>
            <p>Our Products may not be used by any person or entity, which is involved with or suspected of involvement
               in activities or causes relating to illegal gambling; terrorism; narcotics trafficking; arms trafficking
               or the proliferation, development, design, manufacture, production, stockpiling, or use of nuclear,
               chemical or biological weapons, weapons of mass destruction, or missiles; in each case including any
               affiliation with others whatsoever who support the above such activities or causes. </p>
            <h5>Unauthorized use of GameChaingers, LLC property</h5>
            <p>We prohibit the impersonation of GameChaingers, LLC, the representation of a significant business
               relationship with GameChaingers, LLC, or ownership of any GameChaingers, LLC property (including our
               Products and brand) for the purpose of fraudulently gaining service, custom, patronage, or user trust.
            </p>
            <h4>About this policy</h4>
            <p>This policy outlines a non-exclusive list of activities and intent we deem unacceptable and incompatible
               with our brand. </p>
            <p>We reserve the right to modify this policy at any time by publishing the revised version on our website.
               The revised version will be effective from the earlier of: </p>
            <ul>
               <li>the date the customer uses our Products after we publish the revised version on our website; or</li>
               <li>30 days after we publish the revised version on our website.</li>
            </ul>
            {% endblocktranslate %}
         </div>
      </div>
   </div>
</main>
{% endblock %}

my_adalia_id/templates/metauser/content/contributors.html
{% extends 'metauser/content_frame.html' %}
{% load i18n %}
{% block page_title %}{% translate "Contributors" %}{% endblock %}
{% block breadcrumbs %}
<li class="breadcrumb-item"><a href="{% url 'contributors' %}" style="color:white">{% translate "Contributors" %}</a></li>
{% endblock %}

{% block content %}

<div class="container-fluid">
    <div class="row">

        <div class="col-12 col-lg-6">

            <div class="card">
                <div class="card-body">
                    <h4>Engineers</h4>
                    <ul><strong>Myrhea</strong> - Lead Developer, Backend, Blockchain</ul>
                    <ul><strong>Denker</strong> - Front End</ul>
                    <ul><strong>Allthemighty</strong> - Machine Learning</ul>
                    <ul><strong>zebos</strong> - Blockchain</ul>
                    <ul><strong>strwrsfrk</strong> - Content, QA</ul>

                    <hr>

                    <h4>Translators</h4>
                    <ul><strong>Denker</strong> - German</ul>
                    <ul><strong>Allthemighty</strong> - Dutch</ul>
                    <ul><strong>brakmaar</strong> - French</ul>

                    <hr>

                    <h4>Founder Token Holders</h4>
                    <ul><strong>knightav</strong></ul>
                    <ul><strong>ohnevie</strong></ul>
                    <ul><strong>EverymoreAYL</strong></ul>
                    <ul><strong>Korivak</strong></ul>
                    <ul><strong>ProfessorSabre</strong></ul>
                    <ul><strong>Dreamcatcher</strong></ul>
                    <ul><strong>DanielDerzic</strong></ul>
                    <ul><strong>Coldsnap</strong></ul>
                    <ul><strong>Rook E</strong></ul>
                    <ul><strong>Aiz | BlockRaiders</strong></ul>
                    <ul><strong>Pepper</strong></ul>
                    <ul><strong>Hummy</strong></ul>
                </div>
            </div>
        </div>

        <div class="col-12 col-lg-6">

            <div class="card">
                <div class="card-body">
                    <h4>Early Adopters</h4>
                    <h5>Coming Soon!</h5>

                    <hr>

                    <h4>Community Developers</h4>
                    <ul class="sidebar-nav">
                        <li class="sidebar-item">
                            <a data-target="#elerium" data-toggle="collapse" class="sidebar-link collapsed">
                                <i class="align-middle" data-feather="sliders"></i> <span class="align-middle"><i class="fas fa-user-astronaut"></i><strong>Elerium</strong> - Click to View</span>
                            </a>
                            <ul id="elerium" class="sidebar-dropdown list-unstyled collapse" data-parent="#sidebar">
                                <li class="sidebar-item"><a class="sidebar-link" href="https://materials.adalia.id/" target="_blank">{% translate "Asteroid Raw Materials" %}</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}